#include "SoundDescriptor.h"

#include "cstdio"
#include <assert.h>


using namespace SoundSystem;
SoundDescriptor::SoundDescriptor(void)
{
	loaded = false;
	// mis au chemin par defaut.
	setPath();
}

SoundDescriptor::~SoundDescriptor(void)
{
}

void SoundDescriptor::setPath(const string& path)
{
	if (isLoaded())
	{
		fprintf(stderr,"Impossible de changer le chemin (%s) d'un son deja chargé : son %s\n",path.c_str(),this->path.c_str());
		fflush(stderr);
	}
	else
	{
		this->path = path;
	}
}

string SoundDescriptor::getPath()
{
	return path;
}

bool SoundDescriptor::isLoaded()
{
	return loaded;
}

